OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.TextureView

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTextureView :: MonadIO m => m Bool
- gl_ARB_texture_view :: Bool
- gl_TEXTURE_IMMUTABLE_LEVELS :: GLenum
- gl_TEXTURE_VIEW_MIN_LAYER :: GLenum
- gl_TEXTURE_VIEW_MIN_LEVEL :: GLenum
- gl_TEXTURE_VIEW_NUM_LAYERS :: GLenum
- gl_TEXTURE_VIEW_NUM_LEVELS :: GLenum
- glTextureView :: MonadIO m => GLuint -> GLenum -> GLuint -> GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> m ()

# Extension Support

glGetARBTextureView :: MonadIO m => m Bool

Is the ARB_texture_view extension supported?

gl_ARB_texture_view :: Bool

Is the ARB_texture_view extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTextureView` in those cases instead.

# Enums

gl_TEXTURE_IMMUTABLE_LEVELS :: GLenum

gl_TEXTURE_VIEW_MIN_LAYER :: GLenum

gl_TEXTURE_VIEW_MIN_LEVEL :: GLenum

gl_TEXTURE_VIEW_NUM_LAYERS :: GLenum

gl_TEXTURE_VIEW_NUM_LEVELS :: GLenum

# Functions

glTextureView

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target`.
-> GLuint | `origtexture`.
-> GLenum | `internalformat`.
-> GLuint | `minlevel`.
-> GLuint | `numlevels`.
-> GLuint | `minlayer`.
-> GLuint | `numlayers`.
-> m () |

Manual page for OpenGL 4.x.